Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.render
Class Renderer

    java.lang.Object
      javax.faces.render.Renderer

public abstract class Renderer
extends java.lang.Object

Version:
  $Revision: 166994 $ $Date: 2004-07-01 18:12:40 -0400 (Thu, 01 Jul 2004) $
Author:
  Manfred Geiler (latest modification by $Author: mwessendorf $)

Constructor Summary
`Renderer()`

Method Summary
`java.lang.String` | `convertClientId(FacesContext context, java.lang.String clientId)`
`void` | `decode(FacesContext context, UIComponent component)`
`void` | `encodeBegin(FacesContext context, UIComponent component)`
`void` | `encodeChildren(FacesContext context, UIComponent component)`
`void` | `encodeEnd(FacesContext context, UIComponent component)`
`java.lang.Object` | `getConvertedValue(FacesContext context, UIComponent component, java.lang.Object submittedValue)`
`boolean` | `getRendersChildren()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Renderer

    public Renderer()

Method Detail

### decode

    public void decode(FacesContext context,
                       UIComponent component)

### encodeBegin

    public void encodeBegin(FacesContext context,
                            UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(FacesContext context,
                               UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(FacesContext context,
                          UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### convertClientId

    public java.lang.String convertClientId(FacesContext context,
                                            java.lang.String clientId)

### getRendersChildren

    public boolean getRendersChildren()

### getConvertedValue

    public java.lang.Object getConvertedValue(FacesContext context,
                                              UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws ConverterException

  Throws:
    `ConverterException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD